commit: 5e515681568d56489b27c0c0cfdda5e2ee24d4c9
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 4 11:09:41 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 4 12:36:17 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e515681
dev-python/absl-py: Bump to 2.3.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/absl-py/Manifest | 1 +
dev-python/absl-py/absl-py-2.3.1.ebuild | 81 +++++++++++++++++++++++++++++++++
2 files changed, 82 insertions(+)
diff --git a/dev-python/absl-py/Manifest b/dev-python/absl-py/Manifest
index 23081fdfc51d..2fa8102713c7 100644
--- a/dev-python/absl-py/Manifest
+++ b/dev-python/absl-py/Manifest
@@ -1 +1,2 @@
DIST abseil-py-2.3.0.gh.tar.gz 239167 BLAKE2B
13351c9740f33fa026447ba5500fc6f404857c25a2d343277911cbfc5fd57d4e0530546a27cc3882a06dcca4b313810e4d0d39c06af66a1245175b5c01d99270
SHA512
e6e4de6403e1c867129b288c15b5824953c98243d7088a0fee11ef50c71a375b0f1fc319bbb43da3e151b15d3f6299abe8894e5553c5cb199513b1e85fe16845
+DIST abseil-py-2.3.1.gh.tar.gz 239285 BLAKE2B
5b9a0449bf07b3d46a3f8e0c2ce1deefd076bf373d0b2d07c1f35dfae73e2fe34d5436b7c63e4122f09f86df75c4d0cfbfd3339c7dae4798a39dc462b8a48516
SHA512
926b9ddb17342f74e05142fa353331c6cc1699302dadad5b7ec8c68813f2b65becb0743b299f26cc1899fc688e9f70f1d2ed4919a76539c940e963a38feba3ba
diff --git a/dev-python/absl-py/absl-py-2.3.1.ebuild
b/dev-python/absl-py/absl-py-2.3.1.ebuild
new file mode 100644
index 000000000000..c45c332efca8
--- /dev/null
+++ b/dev-python/absl-py/absl-py-2.3.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=abseil-py-${PV}
+DESCRIPTION="Abseil Python Common Libraries"
+HOMEPAGE="
+ https://github.com/abseil/abseil-py/
+ https://pypi.org/project/absl-py/
+"
+SRC_URI="
+ https://github.com/abseil/abseil-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # what a nightmare... well, we could have called bazel but that would
+ # even worse
+ local helpers=(
+
absl/flags/tests/argparse_flags_test_helper.py:absl/flags/tests/argparse_flags_test_helper
+
absl/logging/tests/logging_functional_test_helper.py:absl/logging/tests/logging_functional_test_helper
+
absl/testing/tests/absltest_fail_fast_test_helper.py:absl/testing/tests/absltest_fail_fast_test_helper
+
absl/testing/tests/absltest_filtering_test_helper.py:absl/testing/tests/absltest_filtering_test_helper
+
absl/testing/tests/absltest_randomization_testcase.py:absl/testing/tests/absltest_randomization_testcase
+
absl/testing/tests/absltest_sharding_test_helper.py:absl/testing/tests/absltest_sharding_test_helper
+
absl/testing/tests/absltest_sharding_test_helper_no_tests.py:absl/testing/tests/absltest_sharding_test_helper_no_tests
+
absl/testing/tests/absltest_test_helper.py:absl/testing/tests/absltest_test_helper
+
absl/testing/tests/absltest_test_helper_skipped.py:absl/testing/tests/absltest_test_helper_skipped
+
absl/testing/tests/xml_reporter_helper_test.py:absl/testing/tests/xml_reporter_helper_test
+
absl/tests/app_test_helper.py:absl/tests/app_test_helper_pure_python
+ )
+
+ local x
+ for x in "${helpers[@]}"; do
+ local script=${x%:*}
+ local sym=${x#*:}
+ sed -i -e "1i#!/usr/bin/env python" "${script}" || die
+ chmod +x "${script}" || die
+ ln -s "${script##*/}" "${sym}" || die
+ done
+
+ # i don't wanna know how these pass for upstream with wrong helper names
+ sed -e 's:\(app_test_helper\)\.py:\1_pure_python:' \
+ -i absl/tests/app_test.py || die
+ sed -e 's:\(logging_functional_test_helper\)\.py:\1:' \
+ -i absl/logging/tests/logging_functional_test.py || die
+}
+
+python_test() {
+ local -x PYTHONPATH=.
+ local fails=0
+ while read -r -d '' x; do
+ ebegin "${x}"
+ "${EPYTHON}" "${x}"
+ eend ${?} || : "$(( fails += 1 ))"
+ done < <(find -name '*_test.py' -print0)
+
+ [[ ${fails} -ne 0 ]] && die "${fails} tests failed on ${EPYTHON}"
+
+ # we actually need to clean this up manually before running the test
+ # suite again...
+ chmod -R u+rwX "${T}"/absl_testing || die
+ rm -rf "${T}"/absl_testing || die
+}